:root {
  --primary-color: #00ff00;
  --secondary-color: #231f20;
  --text-color: #141414;
  --error-color: #DA3E33;
  --muted-color: #cecece; 
  --gray: #999;
  --white: #ffffff;
  --black: #000000;
  
  --title-color: var(--secondary-color);
  --textarea-border-color: #4b5b60;
  --textarea-hovered-border-color: var(--primary-color);
  
  --button-border-width: 1px;

  --primary-button-radius: 9999px;
  --primary-button-text-color: var(--primary-color);
  --primary-button-bg-color: var(--secondary-color);
  --primary-button-border-color: var(--primary-color);
  --primary-button-hovered-text-color: var(--white);
  --primary-button-hovered-bg-color: var(--secondary-color);
  --primary-button-hovered-border-color: var(--secondary-color);

  --secondary-button-radius: 9999px;
  --secondary-button-text-color: var(--secondary-color);
  --secondary-button-bg-color: var(--white);
  --secondary-button-border-color: var(--primary-color);
  --secondary-button-hovered-text-color: var(--secondary-color);
  --secondary-button-hovered-bg-color: var(--primary-color);
  --secondary-button-hovered-border-color: var(--primary-color);

  --secondary-button-disabled-text-color: var(--muted-color);
  --secondary-button-disabled-bg-color: var(--white);
  --secondary-button-disabled-border-color: var(--muted-color);
}

html[dir] .alterna-cx-card-title {
  padding: 1.2em 1.1em 0 1.1em;
  color: var(--title-color) !important;
  font-weight: 700 !important; 
  line-height: 1.75rem !important;
}

html[dir] .alterna-cx-card-title.alterna-cx-web-header {
  padding: 1em 1.1em .1em 1.1em;
  height: 2.8em;
  box-shadow: none;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: .5em;
  flex-wrap: nowrap;
  position: relative;
}

html[dir] .alterna-cx-card-title.alterna-cx-web-header img {
  width: auto;
  flex: 0 0 auto;
  display: block;
}

.alterna-cx-card-title.alterna-cx-web-header img:first-of-type {
  order: 0;
  content: url("../images/logo-on.svg");
}

.alterna-cx-card-title.alterna-cx-web-header img.logo-right {
  order: 2;
  content: url("../images/logo-burgan.svg");
  height: 1.2em;
  padding-top: .2em;
}

.alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content {
  height: calc(100% - 4.5em) !important;
}

*, ::before, ::after {
  letter-spacing: -0.025em !important;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html[dir] .alterna-cx-web-header {
  text-align: center !important;
  background: var(--white) !important;
}

html[dir] .alterna-cx-web-footer {
  margin-top: -1.1em !important;
  font-size: 12px !important;
}

.alterna-cx-web-footer a {
  color: var(--muted-color) !important;
}

.alterna-cx-web-footer span {
  padding-top: 0.2em;
  color: var(--muted-color);
}

.alterna-cx-survey > .alterna-cx-card-title {
	color: var(--title-color) !important;
	font-weight: bolder !important;
	font-size: 1.5rem;
	padding: 1.5rem 1.5rem 1.2rem !important;
}

html[dir="ltr"] .alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content .alterna-cx-question-desc span {
  border-left: 0;
}

.alterna-cx-value-description {
  display: flex !important;
  justify-content: space-evenly !important;
  align-items: center !important;
  gap: 1em;
  padding-inline: 1.2em;
  padding: 0 1.5em !important;
}

.alterna-cx-value-description span {
  white-space: nowrap;
  font-size: .95em;
  color: #666;
}

.alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content {
  min-height: 16rem;
}

.alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content .alterna-cx-question-desc {
  font-size: 1em;
  font-weight: 200;
  color: var(--primary-color);
}

html[dir] .alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content .alterna-cx-question-desc {
	padding: 0;
}

html[dir] .alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content .alterna-cx-question-desc span {
	padding: 0;
}

html[dir] .alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content .alterna-cx-question-errors {
	padding: .5em 0em;
	color: var(--error-color);
}

html[dir] .alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content .alterna-cx-question-errors .alterna-cx-error-icon {
	display: none;
}

html[dir] .alterna-cx-card-actions button:focus, html[dir] .alterna-cx-card-actions button:not(:disabled):hover {
  color: var(--primary-button-hovered-text-color) !important;
  background-color: var(--primary-button-hovered-bg-color) !important;
  border-color: var(--primary-button-hovered-border-color) !important;
}

html[dir] .alterna-cx-card-actions button.alterna-cx-trigger-prev {
  color: var(--secondary-button-text-color) !important;
  background: var(--secondary-button-bg-color) !important;
  border-radius: var(--secondary-button-radius) !important;
  border-color: var(--secondary-button-border-color) !important;
}

html[dir] .alterna-cx-card-actions button.alterna-cx-trigger-prev:disabled {
  color: var(--secondary-button-disabled-text-color) !important;
  background: var(--secondary-button-disabled-bg-color) !important;
  border-color: var(--secondary-button-disabled-border-color) !important;
}

html[dir] .alterna-cx-card-actions button.alterna-cx-trigger-prev:not(:disabled):hover {
  color: var(--secondary-button-hovered-text-color) !important;
  background: var(--secondary-button-hovered-bg-color) !important;
  border-color: var(--secondary-button-hovered-border-color) !important;
}

html[dir] .alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content .alterna-cx-choice-group, html[dir] .alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content .alterna-cx-choice-icon-group, html[dir] .alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content .alterna-cx-input-group {
  padding: 1em 0;
}

html[dir] .alterna-cx-char-counter {
  padding: 0px 10px;
  color: #979797 !important;
}

.alterna-cx-slider-connect {
  background: var(--black);
}

.alterna-cx-completionRatio div:nth-child(2) {
  margin-top: -1.4em;
}

html[dir] .alterna-cx-choice-other .alterna-cx-char-counter {
	color: var(--white) !important;
	font-size: .7em;
	padding-right: 1.2em;
}

.alterna-cx-choice input:checked+.alterna-cx-choice-other {
  background: var(--white) !important;
}

html[dir] .alterna-cx-choice .alterna-cx-choice-other .alterna-cx-textarea {
	border: 1px solid #4b5b60 !important;
}

.alterna-cx-color-yellow, .alterna-cx-choice-icon.alterna-cx-color-yellow input:checked + .alterna-cx-choice-label > label, .alterna-cx-choice-icon.alterna-cx-color-yellow input:checked + .alterna-cx-choice-other > label, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > input:checked ~ .alterna-cx-choice-label > label, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > input:checked ~ .alterna-cx-choice-label > label:hover, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > .alterna-cx-choice-label:hover ~ input:checked ~ .alterna-cx-choice-label > label, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > input:checked ~ .alterna-cx-choice-label:hover ~ .alterna-cx-choice-label > label, .alterna-cx-color-yellow::before, .alterna-cx-choice-icon.alterna-cx-color-yellow input:checked + .alterna-cx-choice-label > label::before, .alterna-cx-choice-icon.alterna-cx-color-yellow input:checked + .alterna-cx-choice-other > label::before, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > input:checked ~ .alterna-cx-choice-label > label::before, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > input:checked ~ .alterna-cx-choice-label > label:hover::before, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > .alterna-cx-choice-label:hover ~ input:checked ~ .alterna-cx-choice-label > label::before, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > input:checked ~ .alterna-cx-choice-label:hover ~ .alterna-cx-choice-label > label::before, .alterna-cx-color-yellow::after, .alterna-cx-choice-icon.alterna-cx-color-yellow input:checked + .alterna-cx-choice-label > label::after, .alterna-cx-choice-icon.alterna-cx-color-yellow input:checked + .alterna-cx-choice-other > label::after, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > input:checked ~ .alterna-cx-choice-label > label::after, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > input:checked ~ .alterna-cx-choice-label > label:hover::after, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > .alterna-cx-choice-label:hover ~ input:checked ~ .alterna-cx-choice-label > label::after, .alterna-cx-choice-icon.alterna-cx-choice-rating.alterna-cx-color-yellow > input:checked ~ .alterna-cx-choice-label:hover ~ .alterna-cx-choice-label > label::after {
	color: #FFD231;
}

.alterna-cx-choice input:checked+.alterna-cx-choice-label>label, .alterna-cx-choice input:checked+.alterna-cx-choice-other>label, .alterna-cx-choice input:checked+.alterna-cx-choice-label>label::before, .alterna-cx-choice input:checked+.alterna-cx-choice-other>label::before, .alterna-cx-choice input:checked+.alterna-cx-choice-label>label::after, .alterna-cx-choice input:checked+.alterna-cx-choice-other>label::after {
  color: var(--checked-color) !important;
}

html[dir] .alterna-cx-choice[class^="alterna-cx-icon-"] input + .alterna-cx-choice-label > label::after, html[dir] .alterna-cx-choice[class*=" alterna-cx-icon-"] input + .alterna-cx-choice-label > label::after, html[dir] .alterna-cx-choice[class^="alterna-cx-icon-"] input + .alterna-cx-choice-other > label::after, html[dir] .alterna-cx-choice[class*=" alterna-cx-icon-"] input + .alterna-cx-choice-other > label::after {
  border-radius: 1rem 0 0 1rem;
}

html[dir] .alterna-cx-choice .alterna-cx-choice-label>label, .alterna-cx-choice .alterna-cx-choice-other>label, .alterna-cx-choice .alterna-cx-choice-label>label::after, .alterna-cx-choice .alterna-cx-choice-other>label::after {
  color: var(--secondary-button-text-color) !important
}

html[dir] .alterna-cx-choice input:checked + .alterna-cx-choice-other {
  background: var(--primary-button-bg-color) !important;
  border: var(--button-border-width) solid var(--primary-button-border-color) !important;
}

html[dir] .alterna-cx-choice input + .alterna-cx-choice-other {
	border: none !important;
	border-radius: 1.3rem !important;
	min-height: 2.5rem !important;
}

html[dir] .alterna-cx-choice .alterna-cx-choice-other .alterna-cx-textarea {
  background-color: var(--white) !important;
  color: var(--black) !important;
  min-height: 3.6em !important;
}

.alterna-cx-choice .alterna-cx-choice-label>label:hover, .alterna-cx-choice .alterna-cx-choice-other>label:hover, .alterna-cx-choice .alterna-cx-choice-label>label:hover::after, .alterna-cx-choice .alterna-cx-choice-other>label:hover::after {
  color: var(--primary-hover-color) !important;
}

.alterna-cx-textarea, .alterna-cx-textinput{
  color: var(--black) !important;
}

.alterna-cx-char-counter{
  color: var(--black) !important;
}

.alterna-cx-card-actions button{
  color: var(--white) !important;
  background-color: var(--black) !important;
  height: 3em;
  font-size: 0.84em;
  font-weight: 500;
}

.alterna-cx-card-actions button:focus, .alterna-cx-card-actions button:not(:disabled):hover{
  color: var(--white) !important;
  background-color: var(--primary-hover-color) !important;
}

.alterna-cx-select .alterna-cx-placeholder{
  color:var(--black) !important;
}

.alterna-cx-select .alterna-cx-placeholder:hover{
  background:var(--black) !important;
  color: var(--white) !important;
}

.alterna-cx-select .alterna-cx-placeholder::after{
  color: var(--black) !important;
}

.alterna-cx-select .alterna-cx-placeholder::after{
  color: var(--white) !important;
}

.alterna-cx-card-content {
  color: var(--text-color);
}

.alterna-cx-card-content .alterna-cx-icon-remove {
  color:var(--black);
}

.alterna-cx-card-close::before {
  color: var(--black) !important;
}

html[dir] .alterna-cx-card-close:hover::before {
  color: #02a5a5 !important;
}

.alterna-cx-card-close:hover{
  background: none !important;
}

.alterna-cx-spinner > div:before{
  background-color:var(--black) !important;
}

html[dir] .alterna-cx-card {
  margin: 0 auto;
  border: 0 solid #DEDEDE;
  box-shadow: 0 5px 30px 0 rgba(0,0,0,.07);
  border-radius: 10px !important;
}

html[dir] .alterna-cx-card-actions button {
  color: var(--primary-button-text-color) !important;
  background: var(--primary-button-bg-color) !important;
  border: var(--button-border-width) solid var(--primary-button-border-color) !important;
	border-radius: var(--primary-button-radius);
  padding: 0.75rem 1.5rem !important;
  line-height: 1 !important;
  font-weight: 600;
  font-size: 1rem;
}

@media only screen and (max-width: 650px) {
  html[dir] .alterna-cx-web-body {
    overflow: auto;
    height: calc(100% - 5rem) !important;
    max-height: 100% !important;
    padding: 1rem 0.05rem 1.25rem !important;
  }

  html[dir] .alterna-cx-col-16 {
    margin-left: 1.5rem !important;
    margin-right: 1.5rem !important;
    width: calc(100% - 3rem) !important;
  }

  html[dir] .alterna-cx-col-8 {
    width: calc(50% - 2.25rem) !important;
    margin-left: 1.5rem !important;
  }
}

@media only screen and (min-width: 650px) {
  html[dir] .alterna-cx-col-16 {
    margin-left: 1.5rem !important;
    margin-right: 1.5rem !important;
    width: calc(100% - 3rem) !important;
  }

  html[dir] .alterna-cx-col-8 {
    width: calc(50% - 2.25rem) !important;
    margin-left: 1.5rem !important;
}
}

@media only screen and (min-width: 650px) {
  html[dir] .alterna-cx-web-body {
    overflow: auto;
    height: calc(100% - 5rem) !important;
    max-height: 100% !important;
    padding: 1.5em !important;
  }
}

.alterna-cx-question-text {
  padding: 0 1rem 0 0 !important;
}

html[dir] .alterna-cx-card-content > .alterna-cx-question {
  color: var(--text-color);
  padding: 0 1.5rem !important;
}

html[dir] .alterna-cx-textarea, html[dir] .alterna-cx-textinput {
  background: var(--white) !important;
  border: var(--button-border-width) solid var(--textarea-border-color) !important;
  border-radius: 4px !important;
  height: 4.55rem !important;
  overflow-y: hidden;
  min-height: 3.75rem;
  padding: 0.5rem 0.6rem !important;
}

html[dir] .alterna-cx-textarea:focus, html[dir] .alterna-cx-textinput:focus {
  border-color: var(--textarea-border-color) !important;
  box-shadow: 0 0 5px 0 var(--textarea-hovered-border-color) !important;
}

.alterna-cx-card-content > span {
  padding: 0 1.5rem !important;
}

html[dir] .alterna-cx-card-notification .alterna-cx-card-content {
  padding: 20px !important;
}

html[dir] .alterna-cx-choice .alterna-cx-choice-label > label,
html[dir] .alterna-cx-choice .alterna-cx-choice-other > label:not(:checked) {
  color: var(--secondary-button-text-color) !important;
  border: var(--button-border-width) solid var(--secondary-button-border-color) !important;
  border-radius: 1.5rem;
  display: inline-block;
  position: relative;
  font-size: 1em;
  font-weight: 500;
  width: 100%;
  cursor: pointer;
  vertical-align: top;
  margin: .1rem 0 !important;
  min-width: 2.45rem;
}

html[dir] .alterna-cx-choice .alterna-cx-choice-label > label:hover,
html[dir] .alterna-cx-choice .alterna-cx-choice-other > label:hover {
  background: var(--secondary-button-hovered-bg-color) !important;
  border: var(--button-border-width) solid var(--secondary-button-hovered-border-color) !important;
  color: var(--secondary-button-hovered-text-color) !important;
}

html[dir] .alterna-cx-choice input:checked + .alterna-cx-choice-other > label {
  background: var(--primary-button-bg-color) !important;
  border: var(--button-border-width) solid inset !important;
  color: var(--primary-button-text-color) !important;
}

html[dir] .alterna-cx-choice input:checked + .alterna-cx-choice-label > label {
  background: var(--primary-button-bg-color) !important;
  border: var(--button-border-width) solid var(--primary-button-border-color) !important;
  color: var(--primary-button-text-color) !important;
}

html[dir="ltr"] .alterna-cx-choice-group-h-block input + .alterna-cx-choice-label:not(:first-of-type) > label {
  border-left: 1px solid var(--secondary-button-border-color) !important;
}

html[dir="ltr"] .alterna-cx-choice-group-h-block input:checked + .alterna-cx-choice-label:not(:first-of-type) > label {
  border-left: var(--button-border-width) solid var(--primary-button-border-color) !important;
  color: var(--primary-button-text-color) !important;
}

html[dir="ltr"] .alterna-cx-choice-group-h-block input:not(:checked) + .alterna-cx-choice-label:not(:first-of-type) > label:hover {
  border-left: 1px solid var(--primary-button-border-color) !important;
}

.alterna-cx-choice-group-h input + .alterna-cx-choice-label {
  padding-left: 0.25rem;
  padding-right: 0.25rem;
}

html[dir] .alterna-cx-survey .alterna-cx-card-body .alterna-cx-card-content .alterna-cx-choice-group-h {
	padding: 1em 0 0.5em 0;
}


@font-face {
  font-family: 'Montserrat';
  font-weight: 400;
  font-style: normal;
  src: url('./fonts/Montserrat-Regular.otf') format('opentype');
  src: url('./fonts/Montserrat-Regular.eot'),
    url('./fonts/Montserrat-Regular.woff2') format('woff2'),
    url('./fonts/Montserrat-Regular.woff') format('woff'),
    url('./fonts/Montserrat-Regular.ttf') format('truetype'),
    url('./fonts/Montserrat-Regular.svg') format('svg');
}

@font-face {
  font-family: 'Montserrat';
  font-weight: 600;
  font-style: normal;
  src: url('./fonts/Montserrat-SemiBold.otf') format('opentype');
  src: url('./fonts/Montserrat-SemiBold.eot'),
    url('./fonts/Montserrat-SemiBold.woff2') format('woff2'),
    url('./fonts/Montserrat-SemiBold.woff') format('woff'),
    url('./fonts/Montserrat-SemiBold.ttf') format('truetype'),
    url('./fonts/Montserrat-SemiBold.svg') format('svg');
}

@font-face {
  font-family: 'Montserrat';
  font-weight: 600;
  font-style: italic;
  src: url('./fonts/Montserrat-SemiBoldItalic.otf') format('opentype');
  src: url('./fonts/Montserrat-SemiBoldItalic.eot'),
    url('./fonts/Montserrat-SemiBoldItalic.woff2') format('woff2'),
    url('./fonts/Montserrat-SemiBoldItalic.woff') format('woff'),
    url('./fonts/Montserrat-SemiBoldItalic.ttf') format('truetype'),
    url('./fonts/Montserrat-SemiBoldItalic.svg') format('svg');
}

@font-face {
  font-family: 'Montserrat';
  font-weight: 700;
  font-style: normal;
  src: url('./fonts/Montserrat-Bold.otf') format('opentype');
  src: url('./fonts/Montserrat-Bold.eot'),
    url('./fonts/Montserrat-Bold.woff2') format('woff2'),
    url('./fonts/Montserrat-Bold.woff') format('woff'),
    url('./fonts/Montserrat-Bold.ttf') format('truetype'),
    url('./fonts/Montserrat-Bold.svg') format('svg');
}

@font-face {
  font-family: 'Montserrat';
  font-weight: 700;
  font-style: italic;
  src: url('./fonts/Montserrat-BoldItalic.otf') format('opentype');
  src: url('./fonts/Montserrat-Bold.eot'),
    url('./fonts/Montserrat-BoldItalic.woff2') format('woff2'),
    url('./fonts/Montserrat-BoldItalic.woff') format('woff'),
    url('./fonts/Montserrat-BoldItalic.ttf') format('truetype'),
    url('./fonts/Montserrat-BoldItalic.svg') format('svg');
}

.alterna-cx-container * {
  font-family: "Montserrat", sans-serif !important;
}